# eric4.Preferences.ViewProfileDialog

Module implementing a dialog to configure the various view profiles.

### Global Attributes

None

### Classes

ViewProfileDialog | Class implementing a dialog to configure the various view profiles.

### Functions

None

## ViewProfileDialog

Class implementing a dialog to configure the various view profiles.

### Derived from

QDialog

### Class Attributes

None

### Methods

ViewProfileDialog | Constructor
getProfiles | Public method to retrieve the configured profiles.

#### ViewProfileDialog (Constructor)

ViewProfileDialog(layout, profiles, separateShell, separateBrowser, parent = None)

Constructor

layout
  type of the window layout (string)
profiles
  dictionary of tuples containing the visibility of the windows for the various profiles
separateShell
  flag indicating that the Python shell is a separate window
separateBrowser
  flag indicating that the file browser is a separate window
parent
  parent widget of this dialog (QWidget)

#### ViewProfileDialog.getProfiles

getProfiles()

Public method to retrieve the configured profiles.

Returns:
  dictionary of tuples containing the visibility of the windows for the various profiles

Up